Pulsar Docs
API ReferenceAlerts Config

Get Machine Alerts

GET
/v1/alerts-config/machines/{machineId}/alerts

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

Get a single machine alerts, identified by machineId.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Path Parameters

machineId*number

The machine's ID.

Formatdouble

Response Body

application/json

curl -X GET "https://example.com/v1/alerts-config/machines/0.1/alerts"
{  "alerts": [    {      "id": 0.1,      "persona_ids": [        "string"      ],      "is_active": true,      "resolve_template_id": 0,      "open_template_id": 0,      "notify_on_resolve": true,      "notify_on_open": true,      "reset_on_ineligible": true,      "window_size": 0.1,      "emit_time_interval": 0.1,      "open_n": 0.1,      "open_m": 0.1,      "aggregation_function": "min",      "params": {},      "description": "string",      "name": "string",      "input_description": "string",      "upstream_metric_id": 0.1,      "alert_type_id": 0.1,      "group_id": "string"    }  ],  "machine_id": 0.1}